CVE-2020-35359

NameCVE-2020-35359
DescriptionPure-FTPd 1.0.48 allows remote attackers to prevent legitimate server use by making enough connections to exceed the connection limit.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
pure-ftpd (PTS)stretch1.0.43-3undetermined
buster1.0.47-3undetermined
sid1.0.49-4undetermined

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
pure-ftpdsource(unstable)undetermined

Notes

https://www.exploit-db.com/exploits/49105 , seems bogus
Issue mitigated by MaxClientsPerIP in pure-ftpd.conf configuration file

Search for package or bug name: Reporting problems